package com.playlet.web.service.app;

import com.github.pagehelper.PageInfo;
import com.playlet.system.domain.PublicCommentStar;
import com.playlet.system.domain.PublicDetailComment;

public interface PublicDetailCommentAppService {


    void add(PublicDetailComment detailComment);

    void update(PublicDetailComment detailComment);

    PageInfo<PublicDetailComment> query(PublicDetailComment detailComment, Integer pageNum, Integer pageSize);

    void star(PublicCommentStar publicCommentStar);

    void cancelStar(PublicCommentStar publicCommentStar);

    void delete(PublicDetailComment detailComment);

    PublicDetailComment getTopComment(PublicDetailComment detailComment);


}
